#!/bin/sh
#
# vym2gan.sh
#
VERSION="0.1"
# Date: 20051115
# Author: Clemens Kraus (http://www.clemens-kraus.de)
#

unpacker()
# Unpack vym-file, only if it is one
{
  echo $VYMFILE_EXT | grep -F ".vym" 1>/dev/null

  if [ $? = 0 ] ; then
	  echo ">> Unpacking files ..."
	  unzip $VYMFILE_EXT -d $VYMPATH 1>/dev/null
	  if [ $? -gt 0 ] ; then
		echo ">>> Error in unzip! Aborting."
	  	exit 4
	  fi
  fi
}


remove_files()
# remove all temporary unpacked vym-files
{
  echo $VYMFILE_EXT | grep -F ".vym" 1>/dev/null
	
  if [ $? = 0 ] ; then
	echo ">> Removing temporary files ..."

	rm -rf $VYMPATH/flags 2>/dev/null
	rm -rf $VYMPATH/images 2>/dev/null
	rm $VYMPATH/$VYMNAME".xml" 2>/dev/null
  fi
}



# -------------------- Parameter check -----------------------
USAGE="USAGE: `basename $0` vymfile.vym\n
Output:\tvymfile.gan\n"

if [ "$1" = '-v' ]; then
	  echo "vym2gan Version: "$VERSION
	  exit 0
fi


if [ $# -lt 1  ]; then 
	echo -e $USAGE
	exit 1
else
	VYMFILE_EXT=$1
	VYMNAME=`echo $VYMFILE_EXT | sed "s/.*\///" | sed "s/\\..*$//"`
	VYMPATH=`dirname $VYMFILE_EXT`
fi

# ---------------------- Los geht's --------------------------
echo ">> Processing file '$VYMFILE_EXT' ..."

# Unpack vym-file
unpacker

java org.apache.xalan.xslt.Process -IN $VYMNAME.xml -XSL vym2gan.xsl -OUT $VYMNAME.gan

# clean up
remove_files

echo ">> Ready"
echo ">> ---------------------"

exit 0

